Skip to main content
Platform O&M/Backup Management/Continuous Data Protection (CDP)/CDP Operations

QueryCdpPolicy

QueryCdpPolicy

GET/zstack/v1/cdp-backup-storage/policy
GET/zstack/v1/cdp-backup-storage/policy/{uuid}

Operation ID

QueryCdpPolicy

Since

4.5.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • q
    String

    Query conditions.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Succeeded.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventories
    ListRequired

    See inventories.

    • uuid
      StringRequired

      The UUID of the CDP policy.

    • name
      StringRequired

      The name of the CDP policy.

    • description
      StringRequired

      The detailed description of the CDP policy.

    • retentionTimePerDay
      IntegerRequired

      The retention time of the recovery points.

    • recoveryPointPerSecond
      IntegerRequired

      The retention interval of the recovery points.

    • createDate
      TimestampRequired

      The time when the CDP policy is created.

    • lastOpDate
      TimestampRequired

      The time when the CDP policy was last modified.

    • state
      CdpPolicyStateRequired

      See state.

      • Enabled
        CdpPolicyStateRequired

        The CDP policy is enabled.

      • Disabled
        CdpPolicyStateRequired

        The CDP policy is disabled.